This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1013150 - xfce4-display-settings crash
xfce4-display-settings crash
Status: ASSIGNED
Product: Fedora EPEL
Classification: Fedora
Component: xfce4-settings (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-27 18:22 EDT by Dimitri Maziuk
Modified: 2013-09-28 18:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dimitri Maziuk 2013-09-27 18:22:21 EDT
Description of problem:

1 monitor connected to on-board intel card (DP), 2 monitors connected to ATI radeon (dual DVI). 

xfce-display-settings pops up a dialog box 
"Unable to start the Xfce Display Settings"

Version-Release number of selected component (if applicable):

xfce4-settings-4.8.3-1.el6.x86_64
Comment 1 Kevin Fenzi 2013-09-28 12:40:06 EDT
Multi monitor support is... not very existant in 4.8 sadly. 

Can you run xfce4-display-settings from a terminal and see if it provides any output?
Comment 2 Dimitri Maziuk 2013-09-28 18:49:05 EDT
(In reply to Kevin Fenzi from comment #1)
> Multi monitor support is... not very existant in 4.8 sadly. 
> 
> Can you run xfce4-display-settings from a terminal and see if it provides
> any output?

It doesn't, I should've mentioned that. I took a brief look at strace, but it seems to get filled up with polling on the dialog box (?), nothing stood out to me.

If it's relevan't, xrandr doesn't show all three "outputs" either: you have to run it with --screen 1 to see the intel-DP monitor or with --screen 2 to see radeon-DVI ones.

Anyway, between Dell's BIOS complaining about unsupported configuration and workspaces and monitor rotation not working (as per my other bug), I'm disconnecting the 3rd screen. FWIW we have a couple of PCs with 3 outputs on single video card -- 3-monitor setup seems to work fine on those. It's the 2 different video cards that are problematic.

Note You need to log in before you can comment on or make changes to this bug.